unit Rechnen1B;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Label3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Zahl1, Zahl2, Ergebnis: Real;

implementation

{$R *.DFM}

procedure TForm1.Label3Click(Sender: TObject);
begin
  randomize;
  Zahl1 := random (100);
  Zahl2 := random (100);
  Label1.Caption := FloatToStr(Zahl1);
  Label2.Caption := FloatToStr(Zahl2);
  Label3.Caption := 'Wähle die Rechenart!';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Ergebnis := Zahl1 + Zahl2;
  Label3.Caption :=
    'Ergebnis der Addition: ' + FloatToStr(Ergebnis);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Ergebnis := Zahl1 - Zahl2;
  Label3.Caption :=
    'Ergebnis der Subtraktion: ' + FloatToStr(Ergebnis);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Ergebnis := Zahl1 * Zahl2;
  Label3.Caption :=
    'Ergebnis der Multiplikation: ' + FloatToStr(Ergebnis);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Ergebnis := Zahl1 / Zahl2;
  Label3.Caption :=
    'Ergebnis der Division: ' + FloatToStrF (Ergebnis, ffNumber, 8, 2);
end;

end.
